Show: Inherited Protected Private Deprecated

# ButtonKeystroke Class

Defined in: `src/ui/react/src/components/base/button-keystroke.js:4`

ButtonKeystroke is a mixin that provides a `keystroke` prop that allows configuring a function of the instance to be invoked upon the keystroke activation.

## Index

### Methods

- componentWillMount
- componentWillUnmount

### Properties

- keystroke

## Methods

### `componentWillMount`

()

Defined in `src/ui/react/src/components/base/button-keystroke.js:24`

Lifecycle. Invoked once, both on the client and server, immediately before the initial rendering occurs.

### `componentWillUnmount`

()

Defined in `src/ui/react/src/components/base/button-keystroke.js:59`

Lifecycle. Invoked immediately before a component is unmounted from the DOM.

## Properties

### `keystroke`

Object

Defined in `src/ui/react/src/components/base/button-keystroke.js:13`

The keystroke definition. An object with the following properties:

- fn: The function to be executed
- keys: The keystroke definition, as expected by http://docs.ckeditor.com/#!/api/CKEDITOR.editor-method-setKeystroke
- name: The name for the CKEditor command that will be created. If empty, a random name will be created on the fly